Skip to main content
GET
/
v1
/
voices
Gets available voices
curl --request GET \
  --url https://supertoneapi.com/v1/voices \
  --header 'x-sup-api-key: <api-key>'
{
  "items": [
    {
      "voice_id": "<voice-id>",
      "name": "Agatha",
      "age": "young-adult",
      "gender": "female",
      "use_case": "narration",
      "use_cases": [
        "narration",
        "storytelling"
      ],
      "language": [
        "ar",
        "bg",
        "cs",
        "da",
        "de",
        "el",
        "en",
        "es",
        "et",
        "fi",
        "fr",
        "hi",
        "hu",
        "id",
        "it",
        "ja",
        "ko",
        "nl",
        "pl",
        "pt",
        "ro",
        "ru",
        "vi"
      ],
      "styles": [
        "kind-default",
        "normal",
        "serene"
      ],
      "models": [
        "sona_speech_1",
        "sona_speech_2",
        "sona_speech_2_flash",
        "supertonic_api_1",
        "supertonic_api_3"
      ],
      "description": "",
      "samples": [
        {
          "language": "ko",
          "style": "kind-default",
          "model": "supertonic_api_3",
          "url": "https://example.com/samples/sample-audio.wav"
        }
      ],
      "thumbnail_image_url": "https://example.com/thumbnails/voice-thumbnail.png"
    }
  ],
  "total": 150,
  "next_page_token": "some_opaque_token_string_representing_last_id"
}
이 문서는 영어 원문을 기반으로 자동 번역되었습니다. 표현이 어색하거나 모호한 부분이 있을 수 있으니, 정확한 내용은 영어 원문을 함께 확인해 주세요.
계정에서 사용 가능한 프리셋 보이스 라이브러리를 반환합니다. Supertone Play 보이스 라이브러리와 Enterprise 고객에게 독점적으로 제공된 보이스가 모두 포함됩니다. 고객이 직접 클론한 보이스는 List custom voices를 사용해 주십시오.

엔드포인트

GET https://supertoneapi.com/v1/voices

쿼리 파라미터

NameRequiredDescription
page_size페이지당 항목 수입니다. 기본값 20, 최대 100.
next_page_token다음 페이지를 가져오기 위한 이전 응답의 토큰입니다.

응답

items 배열과 페이지네이션을 위한 선택적 next_page_token을 반환합니다. 각 항목은 보이스 객체 형식을 따릅니다 — voice_id, name, language, styles, models, samples 등.

함께 보기

Docs: Voices

보이스 객체의 구조와 TTS 호출에서 보이스 ID를 사용하는 방법입니다.

Search voices

언어, 스타일, 성별 등으로 필터링합니다.

Authorizations

x-sup-api-key
string
header
required

Query Parameters

page_size
number

Number of items per page (default: 20, min: 10, max: 100)

next_page_token
string

Token for pagination (obtained from the previous page's response)

Response

Paginated available voices response with next page token

items
object[]
required

List of character items

total
number
required

Total number of available characters (might be approximate or removed in future)

Example:

150

next_page_token
string

Token for fetching the next page of results. Undefined if no more pages.

Example:

"some_opaque_token_string_representing_last_id"